Function
beginPosition
Begin position of object in host.
Position beginPosition(object)
Include Headers
seqan/sequence.h
Parameters

object | An object. Types: Container: ModifiedString, String AlignCols, Finder, Segment

Remarks
For most classes beginPosition always returns 0. Exceptions are e.g. InfixSegment and SuffixSegment.
Return Values
The position of the first item in host(object) that belongs of object.
Metafunctions: Position
Part of Concept
Container
See Also
begin, setBegin, endPosition, setBeginPosition, positionRange
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46